package com.reyun.dic;

/**
 * Created by sunhao on 17/3/6.
 * 配置表KEY字段字典
 */
public enum ConfigEnumType {

    MASTER_PWD_PREFIX("master_pwd_prefix","万能密码前缀"),
    SM_CLIENT_ID("client_id","神马应用ID"),
    SM_CLIENT_SECRET("client_secret","神马应用密匙"),
    SM_REDIRECT_URI("redirect_uri","神马重定向"),
    DOWNLOAD_FILE_PATH("download_file_path","下载文件地址"),
    SERVER_REGED_DOWNLOAD_URL("reged_download_url", "注册"),
    SERVER_INSTALL_DOWNLOAD_URL("install_download_url", "激活"),
    SERVER_CLICK_DOWNLOAD_URL("click_download_url", "点击"),
    SERVER_BLACKLIST_DOWNLOAD_URL("blacklist_download_url", "黑名单"),
    OPENAPI_TOKEN("OPENAPI_TOKEN", "对外开放接口TOKEN");


    private String key;
    private String value;

    ConfigEnumType(String key, String value) {
        this.key = key;
        this.value = value;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }
}
